package com.sybotan.android.demo.activities.poc

import android.support.v7.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import android.widget.ListView
import android.widget.TextView
import com.sybotan.android.demo.R
import com.sybotan.android.demo.activities.BaseActivity
import com.sybotan.android.demo.adapter.ExpandAdapter
import com.sybotan.android.demo.adapter.RelationAdapter
import com.sybotan.android.demo.bean.result.SpaceEqModel
import com.sybotan.android.demo.entitiies.Build
import com.sybotan.android.demo.entitiies.EqEntity
import com.sybotan.android.demo.entitiies.RelationEq
import com.sybotan.android.demo.retrofit.BaseViewModelInterface
import com.sybotan.android.demo.viewmodel.BuildVM
import com.sybotan.android.demo.viewmodel.RelationVM



class RelationActivity : BaseActivity() {
    companion object {
        // 设备服务于空间
        const val EQ_SP_SERVE = "eq_sp_serve"

        // 设备 阀门 设备
        const val EQ_EQ_VV = "eq_eq_vv"

        // 设备 控制 设备
        const val EQ_EQ_CTRL = "eq_eq_ctrl"

        // 设备 电量 设备
        const val EQ_EQ_POWER = "eq_eq_power"

        // 设备 测量 设备
        const val EQ_EQ_SS = "eq_eq_ss"

        // 设备连接管道
        const val EQ_PIPE_CNCT = "eq_pipe_cnct"
    }
    private lateinit var mSpaceId: String
    private lateinit var mMajorTv: TextView
    private lateinit var mMinorTv: TextView

    private lateinit var mMajorLv: ListView
    private lateinit var mMinorLv: ListView

    private lateinit var type: String
    private lateinit var code: String
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_relation)
        mMajorTv = findViewById(R.id.majorTv)
        mMajorLv = findViewById(R.id.majorLv)
        mMajorLv.divider = null
        mMinorTv = findViewById(R.id.minorTv)
        mMinorLv = findViewById(R.id.minorLv)
        mMinorLv.divider = null

        val bundle = intent.getBundleExtra("params")
        mSpaceId = bundle?.getString("spaceId") ?: ""
        type = bundle?.getString("type") ?: ""
        code = bundle?.getString("code") ?: ""
        println("mSpaceId: $mSpaceId")
        println("type: $type")
        println("code: $code")

        when (code) {
            EQ_SP_SERVE -> {
                mMinorTv.visibility = View.GONE
                mMinorLv.visibility = View.GONE
                mMajorTv.visibility = View.GONE

            }

            EQ_EQ_VV -> {
                mMinorTv.visibility = View.VISIBLE
                mMinorLv.visibility = View.VISIBLE
            }

            EQ_EQ_CTRL -> {

            }
            EQ_EQ_POWER -> {

            }
            EQ_EQ_SS -> {

            }

            EQ_PIPE_CNCT -> {

            }
        }
        initViewModel()
    }


    private lateinit var mEqs: List<RelationEq>


    private fun initViewModel() {
        val mVm = RelationVM(BaseViewModelInterface { name, params ->
            mEqs = params as List<RelationEq>

            val adapter = RelationAdapter(mEqs, this@RelationActivity) { eq ->

            }
            mMajorLv.setAdapter(adapter)
        }, this)
        mVm.getEqs(mSpaceId)
    }

}